Package io.yellowbrick.jdbc

## Class YellowbrickDriver

- java.lang.Object
- - io.yellowbrick.jdbc.YellowbrickDriver

All Implemented Interfaces:
  `DriverConstants`, `Driver`

    public class YellowbrickDriver
    extends Object
    implements Driver, DriverConstants

### Field Summary

### Fields inherited from interface io.yellowbrick.jdbc.DriverConstants

`PG_URL_PREFIX, YB_JDBC_OAUTH2_AUDIENCE, YB_JDBC_OAUTH2_CACERT_PATH, YB_JDBC_OAUTH2_CLIENT_ID, YB_JDBC_OAUTH2_CLIENT_SECRET, YB_JDBC_OAUTH2_DISABLE_TRUST, YB_JDBC_OAUTH2_INTERACTION_MODE, YB_JDBC_OAUTH2_INTERACTION_MODE_BROWSER, YB_JDBC_OAUTH2_INTERACTION_MODE_CONSOLE, YB_JDBC_OAUTH2_INTERACTION_MODE_DEFAULT, YB_JDBC_OAUTH2_INTERACTION_MODE_DIALOG, YB_JDBC_OAUTH2_INTERACTION_MODE_OPTIONS, YB_JDBC_OAUTH2_ISSUER, YB_JDBC_OAUTH2_LOGIN_HINT, YB_JDBC_OAUTH2_QUIET, YB_JDBC_OAUTH2_SCOPES, YB_JDBC_OAUTH2_SCOPES_DEFAULT, YB_JDBC_OAUTH2_TOKEN_CACHE, YB_JDBC_OAUTH2_TOKEN_CACHE_DEFAULT, YB_JDBC_OAUTH2_TOKEN_CACHE_DISABLED, YB_JDBC_OAUTH2_TOKEN_CACHE_FILE, YB_JDBC_OAUTH2_TOKEN_CACHE_MEMORY, YB_JDBC_OAUTH2_TOKEN_CACHE_OPTIONS, YB_JDBC_OAUTH2_TOKEN_OPTIONS, YB_JDBC_OAUTH2_TOKEN_TYPE, YB_JDBC_OAUTH2_TOKEN_TYPE_ACCESS_TOKEN, YB_JDBC_OAUTH2_TOKEN_TYPE_DEFAULT, YB_JDBC_OAUTH2_TOKEN_TYPE_ID_TOKEN, YB_URL_PREFIX`

### Constructor Summary

Constructors
`YellowbrickDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsURL​(String url)`
`Connection` `connect​(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo​(String url, Properties info)`
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### YellowbrickDriver

    public YellowbrickDriver()

### Method Detail

#### connect

    public Connection connect​(String url,
                              Properties info)
                       throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

#### acceptsURL

    public boolean acceptsURL​(String url)

Specified by:
  `acceptsURL` in interface `Driver`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo​(String url,
                                                Properties info)
                                         throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

#### getParentLogger

    public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `Driver`